function pegaArquivo(inputFile) {
     var file = inputFile.files[0];
     leitorDeArquivo.readAsText(file);
     var divBotoes = document.getElementById('botoes');
     var botoes = "<input type='text' id='buscaMatricula' placeholder='matricula'></input>"
     botoes += "<button onclick="
     botoes+= '"busca'
     botoes+="('buscaMatricula'"
     botoes+=')">Busca</button>'
     botoes += "<button onclick='listagem1()'>Lista Professores</button>"
	 botoes += "<button onclick='listagem2()'>Lista Pos-Graduandos</button>"
	 botoes += "<button onclick='listagem3()'>Lista Estudantes</button>"
	 botoes += "<button onclick='listagem4()'>Lista Funcionarios</button>"
	 botoes += "<button onclick='listagem5()'>Lista Geral</button>"
     divBotoes.innerHTML= botoes;	
	
}

var leitorDeArquivo = new FileReader()
	window.onload = function init() {
    leitorDeArquivo.onload = leArquivo;
}

function leArquivo(evt) {
 
  var fileArr = evt.target.result.split('\n');
  membros = [];
  
  while (fileArr.length > 0){
  	var tipo = fileArr.splice(0,1);
  	
  	if (tipo == "prof"){
  		var prof = fileArr.splice(0,7);
  		membros.push(new professor(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6]));  		
  	}
  	else if (tipo == "grad"){
  		var prof = fileArr.splice(0,8);
  		prof = new graduacao(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7]);
  		membros.push(prof);
  		//alert(prof.getMatricula()); 
  	}
  	else if (tipo == "pos"){
  		var prof = fileArr.splice(0,8);
  		membros.push(new posGrad(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7])); 
  	}
  	else if (tipo == "serv"){
  		var prof = fileArr.splice(0,7);
  		membros.push(new servidor(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6]));  		
  	}
  	else if (tipo == "prof_grad"){
  		var prof = fileArr.splice(0,12);
  		membros.push(new profgrad(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7],prof[8],prof[9],prof[10],prof[11]));  		
  	}
  	else if (tipo == "prof_pos"){
  		var prof = fileArr.splice(0,12);
  		membros.push(new profpos(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7],prof[8],prof[9],prof[10],prof[11]));  	
  	}
  	else if (tipo == "serv_grad"){
  		var prof = fileArr.splice(0,12);
  		membros.push(new servgrad(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7],prof[8],prof[9],prof[10],prof[11]));  	
  	}
  	else if (tipo == "serv_pos"){
  		var prof = fileArr.splice(0,12);
  		membros.push(new servpos(prof[0],prof[1],prof[2],prof[3],prof[4],prof[5],prof[6],prof[7],prof[8],prof[9],prof[10],prof[11])); 
  	}
  	
  }
  var strDiv = '<table>';
  /*
  alert(fileArr[9]);
  alert(fileArr[10]);
 
  for (var i=0; i<fileArr.length; i++) {
       strDiv += '<tr>';
       strDiv += '<td>'+fileArr[i].trim()+'</td>';
      
      strDiv += '</tr>';
  }*/
  
  for ( var i=0; i<membros.length; i++){
  	strDiv += membros[i].printHTML();
  }
 
  strDiv += '</table>';
  var CSVsaida = document.getElementById('CSVsaida');
  CSVsaida.innerHTML = strDiv;
}

function clearBox(elementID)
{
    document.getElementById(elementID).innerHTML = "";
}

function busca (elementID){
	//alert(elementID);
	var strDiv= "<table>";
	var campo = document.getElementById('botoes').getElementsByTagName("input");
	var matricula = campo.item(0).value;
	pos = -1;
	//alert(matricula);
	for (var i = 0; i < membros.length ; i++){
		if ( membros[i].isMatricula(matricula)){
			resultado = membros[i];
			pos = i;
			matriculaRem = matricula;
			strDiv += membros[i].printHTML();
			break;
		}	
	}
	strDiv+= "</table>";
	strDiv += "<button onclick='remover()'>Remove Membro</button>";
	if (pos == -1){
		strDiv= "membro nao encontrado";
	}
	
	CSVsaida.innerHTML = strDiv;
}

function remover(){
	var removidos = membros.splice(pos,1);
	var remover = removidos[0];
	if ( typeof remover.getMatriculaEstudante === "function" && typeof remover.getMatriculaFuncionario === "function"){
		if ( matriculaRem == remover.getMatriculaEstudante()){
			if ( remover instanceof servpos ||  remover instanceof servgrad){
				membros.push(new servidor(remover.getNome(),remover.getIdade(),remover.getSexo(),remover.getMatriculaFuncionario(),remover.getDataFuncionario(),remover.getSalario(),remover.getTerceirizado()));
			}
			else if (remover instanceof profpos ||  remover instanceof profgrad){
			membros.push(new professor(remover.getNome(),remover.getIdade(),remover.getSexo(),remover.getMatriculaFuncionario(),remover.getDataFuncionario(),remover.getSalario(),remover.getRegime()));
			}
		}
		else {
			if ( remover instanceof servpos ||  remover instanceof profpos){
				membros.push(new posGrad(remover.getNome(),remover.getIdade(),remover.getSexo(),remover.getMatriculaEstudante(),remover.getDataEstudante(),remover.getCurso(),remover.getCR(),remover.getCursoGrad()));
			}
			else if (remover instanceof servgrad ||  remover instanceof profgrad){
			membros.push(new graduacao(remover.getNome(),remover.getIdade(),remover.getSexo(),remover.getMatriculaEstudante(),remover.getDataEstudante(),remover.getCurso(),remover.getCR(),remover.getNotaVest()));
			}
		}
	}
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = "<p>membro removido</p>";
}

function listagem1() {
	var professores =  [];
	for (var i = 0; i < membros.length ; i++){
		if ( typeof membros[i].getRegime === "function"){
			if (membros[i].getRegime() == "40"){
				professores.push(membros[i]);				
			}
		}	
	}
	professores.sort(comparaMatriculaFunc);
	var strDiv = '<table>';
	for ( var i=0; i<professores.length; i++){
		strDiv += professores[i].printHTML();
		strDiv+="<tr></tr>";
	}

	strDiv += '</table>';
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = strDiv;			
}

function listagem2() {
	var estudantes =  [];
	for (var i = 0; i < membros.length ; i++){
		if ( typeof membros[i].getCursoGrad === "function"){			
			estudantes.push(membros[i]);								
		}	
	}
	estudantes.sort(comparaIdadeDec);
	var strDiv = '<table>';
	for ( var i=0; i<estudantes.length; i++){
		strDiv += estudantes[i].printHTML();
		strDiv+="<tr></tr>";
	}

	strDiv += '</table>';
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = strDiv;			
}

function listagem3() {
	var estudantes =  [];
	for (var i = 0; i < membros.length ; i++){
		if ( typeof membros[i].getMatriculaEstudante === "function"){			
			estudantes.push(membros[i]);						
		}	
	}
	estudantes.sort(comparaCRDec);
	var strDiv = '<table>';
	for ( var i=0; i<estudantes.length; i++){
		strDiv += estudantes[i].printHTML();
		strDiv+="<tr></tr>";
	}

	strDiv += '</table>';
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = strDiv;			
}

function listagem4() {
	var funcionarios =  [];
	for (var i = 0; i < membros.length ; i++){
		if ( typeof membros[i].getMatriculaFuncionario === "function"){			
			funcionarios.push(membros[i]);						
		}	
	}
	funcionarios.sort(comparaSalarioDec);
	var strDiv = '<table>';
	for ( var i=0; i<funcionarios.length; i++){
		strDiv += funcionarios[i].printHTML();
		strDiv+="<tr></tr>";
	}

	strDiv += '</table>';
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = strDiv;			
}

function listagem5() {
	
	membros.sort(comparaNome);
	var strDiv = '<table>';
	for ( var i=0; i<membros.length; i++){
		strDiv += membros[i].printHTML();
		strDiv+="<tr></tr>";
	}

	strDiv += '</table>';
	var CSVsaida = document.getElementById('CSVsaida');
	CSVsaida.innerHTML = strDiv;			
}
//------------------------------ TAD MEMBRO UNIVERSIDADE---------------------------------------------------


var pessoa = function(nome,idade,sexo) {
	this.nome = nome;
	this.idade = idade;
	this.sexo = sexo;
	
	/*this.printHTML = function(){
		var saida = "";
		saida = saida+'<tr>'+'<td>'+"Nome:"+'</td>'+'<td>'+this.nome+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Idade:"+'</td>'+'<td>'+this.idade+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Sexo:"+'</td>'+'<td>'+this.sexo+'</td>'+'</tr>';
		
		return (saida);
	}*/
		
	this.getSexo = function(){ return sexo };
	this.getNome = function(){ return nome };
	this.getIdade = function(){ return parseInt(idade) };
	this.getMatricula = function (){return this.funcionario.getMatricula()>this.estudante.getMatricula()?this.funcionario.getMatricula():this.estudante.getMatricula()};
	
	this.isMatricula = function (mat){ return mat == this.getMatricula() }
	
}

pessoa.prototype.printHTML = function(){
		var saida = "";
		saida = saida+'<tr>'+'<td>'+"Nome:"+'</td>'+'<td>'+this.nome+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Idade:"+'</td>'+'<td>'+this.idade+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Sexo:"+'</td>'+'<td>'+this.sexo+'</td>'+'</tr>';
		
		return (saida);
}
	
function parseData(stData){
	var data = stData.split("/");
	return new Date(data[1], data[0], data[2]);
	
}
	
var membroUniversidade = function(matricula,data){
	
	this.matricula = matricula	
	this.data = data
	
	/*this.printHTML = function(){
		var saida = "";
		saida = saida+'<tr>'+'<td>'+"Nome:"+'</td>'+'<td>'+this.matricula+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Idade:"+'</td>'+'<td>'+this.data+'</td>'+'</tr>';
				
		return (saida);
	}*/
	
	this.getMatricula = function(){ return parseInt(matricula) };
	this.getData = function(){ return this.data }
	this.isMatricula = function(mat){ return mat == parseInt(this.matricula)};
	
}

membroUniversidade.prototype.printHTML = function(){
		var saida = "";
		saida = saida+'<tr>'+'<td>'+"Matricula:"+'</td>'+'<td>'+this.matricula+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"Data de admissão:"+'</td>'+'<td>'+this.data+'</td>'+'</tr>';
		
				
		return (saida);

}

var funcionario = function(matricula,data,salario){
	membroUniversidade.call(this,matricula,data);
	this.salario = salario;
	/*this.printHTML = function(){
		var saida = this.prototype.printHTML();
		saida = saida+'<tr>'+'<td>'+"Nome:"+'</td>'+'<td>'+this.salario+'</td>'+'</tr>';
		
		return (saida);
	}*/
	this.getSalario = function(){ return parseFloat(salario) }
}

funcionario.prototype = Object.create(membroUniversidade.prototype);
funcionario.prototype.printHTML = function(){
		var saida = membroUniversidade.prototype.printHTML.call(this);
		saida = saida+'<tr>'+'<td>'+"Salario:"+'</td>'+'<td>'+this.salario+'</td>'+'</tr>';
		
		return (saida);
	}

var estudante = function(matricula,data,curso,cr){
	membroUniversidade.call(this,matricula,data);
	this.curso = curso
	this.cr = cr
	
	this.printHTML = function(){
		var saida = membroUniversidade.prototype.printHTML.call(this);
		saida = saida+'<tr>'+'<td>'+"Curso:"+'</td>'+'<td>'+this.curso+'</td>'+'</tr>';
		saida = saida+'<tr>'+'<td>'+"CR:"+'</td>'+'<td>'+this.cr+'</td>'+'</tr>';
				
		return (saida);
	}
	
	this.getCR = function(){ return parseFloat(cr) }
	this.getCurso = function(){ return curso }
	this.getMatricula = function (){ return parseInt(this.matricula)};
}

estudante.prototype = Object.create(membroUniversidade.prototype);



var professor = function(nome,idade,sexo,matricula,data,salario,regime){
	pessoa.call(this, nome,idade,sexo);
	
	this.funcionario  = new funcionario(matricula,data,salario);
	this.regime = regime
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"CH:"+'</td>'+'<td>'+this.regime+'</td>'+'</tr>';
				
		return (saida);
	}
	this.getMatricula = function(){return this.funcionario.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getData = function(){return this.funcionario.getData()};
	this.getRegime = function(){ return regime }
	this.getSalario = function(){ return this.funcionario.getSalario()}
}
professor.prototype = Object.create(pessoa.prototype);

var servidor = function(nome,idade,sexo,matricula,data,salario,terceirizado){
	pessoa.call(this, nome,idade,sexo);
	
	this.funcionario= new funcionario(matricula,data,salario);
	this.terceirizado = terceirizado;
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"Terceirizado:"+'</td>'+'<td>'+this.terceirizado+'</td>'+'</tr>';
				
		return (saida);
	}
	this.getMatricula = function(){return this.funcionario.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getData = function(){return this.funcionario.getData()};
	this.getSalario = function(){ return this.funcionario.getSalario()}
	this.getTerceirizado = function(){ return terceirizado }
}
servidor.prototype = Object.create(pessoa.prototype);

var graduacao = function(nome,idade,sexo,matricula,data,curso,cr,notaVest){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matricula,data,curso,cr);
	this.notaVest = notaVest
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Nota no Vestibular:"+'</td>'+'<td>'+this.notaVest+'</td>'+'</tr>';
				
		return (saida);
	}
	this.getMatriculaEstudante = function (){return this.estudante.getMatricula()};
	this.getMatricula = function (){return this.estudante.getMatricula()};
	this.getNotaVest = function(){ return notaVest }
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getCR = function (){return this.estudante.getCR()};
}
graduacao.prototype = Object.create(pessoa.prototype);

var posGrad = function(nome,idade,sexo,matricula,data,curso,cr,cursoGrad){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matricula,data,curso,cr);
	this.cursoGrad = cursoGrad
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Curso de Graduacao:"+'</td>'+'<td>'+this.cursoGrad+'</td>'+'</tr>';
				
		return (saida);
	}
	
	this.getMatricula = function (){return this.estudante.getMatricula()};
	this.getMatriculaEstudante = function (){return this.estudante.getMatricula()};
	this.getCursoGrad = function(){ return cursoGrad }	
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getCR = function (){return this.estudante.getCR()};
}
posGrad.prototype = Object.create(pessoa.prototype);


var profpos = function(nome,idade,sexo,matriculaf,dataf,salario,regime,matriculae,datae,curso,cr,cursoGrad){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matriculae,datae,curso,cr);
	this.funcionario  = new funcionario(matriculaf,dataf,salario);
	this.regime = regime;
	this.cursoGrad = cursoGrad;
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"CH:"+'</td>'+'<td>'+this.regime+'</td>'+'</tr>';
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Curso de Graduacao:"+'</td>'+'<td>'+this.cursoGrad+'</td>'+'</tr>';
				
		return (saida);
	}
	
	this.getMatriculaEstudante  =  function (){return this.estudante.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getDataEstudante  =  function (){return this.estudante.getData()};
	this.getDataFuncionario = function(){return this.funcionario.getData()};
	//this.getMatricula = function(){return this.funcionario.getMatricula()};
	this.getCursoGrad = function(){ return cursoGrad }	
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getRegime = function(){ return this.regime }
	this.getCR = function (){return this.estudante.getCR()};
	this.getSalario = function(){ return this.funcionario.getSalario()}
	this.isMatricula = function (mat){ return mat == this.getMatriculaEstudante() || mat == this.getMatriculaFuncionario() }
}
profpos.prototype = Object.create(pessoa.prototype);


var profgrad = function(nome,idade,sexo,matriculaf,dataf,salario,regime,matriculae,datae,curso,cr,notaVest){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matriculae,datae,curso,cr);
	this.funcionario  = new funcionario(matriculaf,dataf,salario);
	this.regime = regime;
	this.notaVest = notaVest;
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"CH:"+'</td>'+'<td>'+this.regime+'</td>'+'</tr>';
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Nota no Vestibular:"+'</td>'+'<td>'+this.notaVest+'</td>'+'</tr>';
				
		return (saida);
	}
	this.getNotaVest = function(){ return notaVest }
	this.getMatriculaEstudante  =  function (){return this.estudante.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getDataEstudante  =  function (){return this.estudante.getData()};
	this.getDataFuncionario = function(){return this.funcionario.getData()};
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getRegime = function(){ return this.regime }
	this.getCR = function (){return this.estudante.getCR()};
	this.getSalario = function(){ return this.funcionario.getSalario()}
	this.isMatricula = function (mat){ return mat == this.getMatriculaEstudante() || mat == this.getMatriculaFuncionario() }
}
profgrad.prototype = Object.create(pessoa.prototype);

var servgrad = function(nome,idade,sexo,matriculaf,dataf,salario,terceirizado,matriculae,datae,curso,cr,notaVest){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matriculae,datae,curso,cr);
	this.funcionario  = new funcionario(matriculaf,dataf,salario);
	this.terceirizado = terceirizado;
	this.notaVest = notaVest;
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"Terceirizado:"+'</td>'+'<td>'+this.terceirizado+'</td>'+'</tr>';
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Nota no vestibular:"+'</td>'+'<td>'+this.notaVest+'</td>'+'</tr>';
				
		return (saida);
	}
	
	this.getMatriculaEstudante  =  function (){return this.estudante.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getDataEstudante  =  function (){return this.estudante.getData()};
	this.getDataFuncionario = function(){return this.funcionario.getData()};
	this.getNotaVest = function(){ return notaVest };	
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getCR = function (){return this.estudante.getCR()};
	this.getSalario = function(){ return this.funcionario.getSalario()}
	this.isMatricula = function (mat){ return mat == this.getMatriculaEstudante() || mat == this.getMatriculaFuncionario() }
	this.getTerceirizado = function(){ return terceirizado }
}
servgrad.prototype = Object.create(pessoa.prototype);

var servpos = function(nome,idade,sexo,matriculaf,dataf,salario,terceirizado,matriculae,datae,curso,cr,cursoGrad){
	pessoa.call(this, nome,idade,sexo);
	this.estudante = new estudante(matriculae,datae,curso,cr);
	this.funcionario  = new funcionario(matriculaf,dataf,salario);
	this.terceirizado = terceirizado;
	this.cursoGrad = cursoGrad;
	
	this.printHTML = function(){
		var saida = pessoa.prototype.printHTML.call(this);
		
		saida = saida+this.funcionario.printHTML();
		saida = saida+'<tr>'+'<td>'+"Terceirizado:"+'</td>'+'<td>'+this.terceirizado+'</td>'+'</tr>';
		saida = saida+this.estudante.printHTML();
		saida = saida+'<tr>'+'<td>'+"Curso de Graduacao:"+'</td>'+'<td>'+this.cursoGrad+'</td>'+'</tr>';
				
		return (saida);
	}
	
	this.getMatriculaEstudante  =  function (){return this.estudante.getMatricula()};
	this.getMatriculaFuncionario = function(){return this.funcionario.getMatricula()};
	this.getDataEstudante  =  function (){return this.estudante.getData()};
	this.getDataFuncionario = function(){return this.funcionario.getData()};
	this.getCursoGrad = function(){ return cursoGrad }	
	this.getCurso = function (){return this.estudante.getCurso()};
	this.getCR = function (){return this.estudante.getCR()};
	this.getSalario = function(){ return this.funcionario.getSalario()}
	this.isMatricula = function (mat){ return mat == this.getMatriculaEstudante() || mat == this.getMatriculaFuncionario() }
	this.getTerceirizado = function(){ return terceirizado }
}
servpos.prototype = Object.create(pessoa.prototype);

var comparaMatricula = function (a,b){
	a.getMatricula() - b.getMatricula();
}
var comparaMatriculaFunc = function (a,b){
	return a.getMatriculaFuncionario() - b.getMatriculaFuncionario();
}
var comparaMatriculaEstDec = function (a,b){
	return b.getMatriculaEstudante() - a.getMatriculaEstudante();
}
var comparaNome = function (a,b){
	return (a.getNome()<b.getNome()?-1:(a.getNome()>b.getNome()?1:comparaMatricula(a,b)));
}
var comparaIdadeDec = function(a,b){
	return b.getIdade() - a.getIdade() == 0 ? comparaMatriculaEstDec(a,b) : (b.getIdade() - a.getIdade());
} 
var comparaCRDec = function(a,b){
	return b.getCR() - a.getCR() == 0 ? comparaMatriculaEstDec(a,b) : (b.getCR() - a.getCR());
} 
var comparaSalarioDec = function(a,b) {
	return b.getSalario() - a.getSalario() == 0 ? (-1)*comparaMatriculaFunc(a,b) : (b.getSalario() - a.getSalario());
}
